Bug 1997465 - Fix panic in the LRU cache
Summary: Fix panic in the LRU cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Michal Fojtik
QA Contact: Ke Wang
URL:
Whiteboard:
: 1995581 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-25 09:56 UTC by Michal Fojtik
Modified: 2021-10-18 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 898 0 None None None 2021-08-25 09:57:23 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:19 UTC

Description Michal Fojtik 2021-08-25 09:56:46 UTC
Description of problem:

Upstream issue: https://github.com/kubernetes/kubernetes/issues/104452

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michal Fojtik 2021-08-25 10:01:38 UTC
*** Bug 1995581 has been marked as a duplicate of this bug. ***

Comment 5 Ke Wang 2021-09-15 09:37:21 UTC
Searched the last 14 days for all kube-apiserver panic errors, but found the first relevant record which is duplicate to this bug, after that no longer seen related panic. 

$ w3m -dump -cols 200 'https://search.ci.openshift.org/?search=openshift-kube-apiserver_kube-apiserver.*panic&maxAge=336h&context=3&type=bug%2Bjunit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job' | grep -B4 'golang_lru.entry'

#1995581                                    bug         2 weeks ago                  kube apiserver panic from admissions controller ASSIGNED
Comment 15402545 by stbenjam@redhat.com at 2021-08-19T13:03:26Z
Symptom Detection.Undiagnosed panic detected in pod
pods/openshift-kube-apiserver_kube-apiserver-ci-op-62s95mxv-1368f-5s2lm-master-0_kube-apiserver_previous.log.gz:E0818 19:57:56.080795      17 runtime.go:78] Observed a panic: &runtime.TypeAssertionError{_interface:(*runtime._type)(0x4ad36a0), concrete:(*runtime._type)(nil), asserted:(*runtime._type)(0x4769e60), missingMethod:""} (interface conversion: interface {} is nil, not *golang_lru.entry)

At least for now, we can think it's not a problem anymore, the PR fix works fine, so move the bug VERIFIED.

Comment 7 errata-xmlrpc 2021-10-18 17:49:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.